package com.bonus.canteen.core.supply.purchase.domain.param;

import cn.hutool.core.util.ObjectUtil;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;

public class DrpPurMaterialPageDTO {
   @ApiModelProperty("原料名称")
   private String materialName;
   @ApiModelProperty("原料编码")
   private String materialCode;
   @ApiModelProperty("类别id集合")
   private List<Long> categoryIdList;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("条码")
   private String barCode;

   public String getMaterialName() {
      return ObjectUtil.isNotNull(this.materialName) ? this.materialName : "";
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public List<Long> getCategoryIdList() {
      return this.categoryIdList;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setCategoryIdList(final List<Long> categoryIdList) {
      this.categoryIdList = categoryIdList;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }
}
